[PATCH xserver 1/2] sdksyms.sh: Exit on error rather than building an empty symbol table
Jeremy Huddleston
jeremyhu at apple.com
Fri Jan 13 12:07:01 PST 2012
Signed-off-by: Jeremy Huddleston <jeremyhu at apple.com>
---
hw/xfree86/sdksyms.sh | 1 +
1 files changed, 1 insertions(+), 0 deletions(-)
diff --git a/hw/xfree86/sdksyms.sh b/hw/xfree86/sdksyms.sh
index 4a4e1f6..9034f38 100755
--- a/hw/xfree86/sdksyms.sh
+++ b/hw/xfree86/sdksyms.sh
@@ -324,6 +324,7 @@ topdir=$1
shift
LC_ALL=C
export LC_ALL
+${CPP:-cpp} "$@" -DXorgLoader sdksyms.c > /dev/null || exit $?
${CPP:-cpp} "$@" -DXorgLoader sdksyms.c | ${AWK:-awk} -v topdir=$topdir '
BEGIN {
sdk = 0;
--
1.7.7.4
More information about the xorg-devel
mailing list